kind: Pod
apiVersion: v1
metadata:
  generateName: dns-operator-5b9df8545f-
  annotations:
    k8s.ovn.org/pod-networks: >-
      {"default":{"ip_addresses":["10.130.0.9/23"],"mac_address":"0a:58:0a:82:00:09","gateway_ips":["10.130.0.1"],"routes":[{"dest":"10.132.0.0/14","nextHop":"10.130.0.3"}],"ip_address":"10.130.0.9/23","gateway_ip":"10.130.0.1"}}
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.130.0.9"
          ],
          "mac": "0a:58:0a:82:00:09",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.130.0.9"
          ],
          "mac": "0a:58:0a:82:00:09",
          "default": true,
          "dns": {}
      }]
  resourceVersion: '8039'
  name: dns-operator-5b9df8545f-l8xp4
  uid: 323c036c-e5ab-4b2b-ac24-302d29458020
  creationTimestamp: '2022-03-08T22:09:13Z'
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2022-03-08T22:09:13Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:target.workload.openshift.io/management': {}
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:name': {}
            'f:pod-template-hash': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"f6faf37b-229b-4655-a20a-3cba27d6c002"}': {}
        'f:spec':
          'f:volumes':
            .: {}
            'k:{"name":"metrics-tls"}':
              .: {}
              'f:name': {}
              'f:secret':
                .: {}
                'f:defaultMode': {}
                'f:secretName': {}
          'f:containers':
            'k:{"name":"dns-operator"}':
              'f:image': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources':
                .: {}
                'f:requests':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
              'f:command': {}
              'f:env':
                .: {}
                'k:{"name":"IMAGE"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"KUBE_RBAC_PROXY_IMAGE"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"OPENSHIFT_CLI_IMAGE"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"RELEASE_VERSION"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
            'k:{"name":"kube-rbac-proxy"}':
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/etc/tls/private"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                  'f:readOnly': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources':
                .: {}
                'f:requests':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
              'f:args': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:ports':
                .: {}
                'k:{"containerPort":9393,"protocol":"TCP"}':
                  .: {}
                  'f:containerPort': {}
                  'f:name': {}
                  'f:protocol': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:tolerations': {}
          'f:priorityClassName': {}
          'f:serviceAccount': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:nodeSelector': {}
          'f:terminationGracePeriodSeconds': {}
          'f:serviceAccountName': {}
          'f:enableServiceLinks': {}
          'f:securityContext': {}
    - manager: kube-scheduler
      operation: Update
      apiVersion: v1
      time: '2022-03-08T22:09:13Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            .: {}
            'k:{"type":"PodScheduled"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
      subresource: status
    - manager: ip-10-0-136-230
      operation: Update
      apiVersion: v1
      time: '2022-03-08T22:13:04Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:k8s.ovn.org/pod-networks': {}
    - manager: multus
      operation: Update
      apiVersion: v1
      time: '2022-03-08T22:14:11Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.v1.cni.cncf.io/network-status': {}
            'f:k8s.v1.cni.cncf.io/networks-status': {}
      subresource: status
    - manager: Go-http-client
      operation: Update
      apiVersion: v1
      time: '2022-03-08T22:14:19Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:phase': {}
          'f:podIP': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"10.130.0.9"}':
              .: {}
              'f:ip': {}
          'f:startTime': {}
      subresource: status
  namespace: openshift-dns-operator
  ownerReferences:
    - apiVersion: apps/v1
      kind: ReplicaSet
      name: dns-operator-5b9df8545f
      uid: f6faf37b-229b-4655-a20a-3cba27d6c002
      controller: true
      blockOwnerDeletion: true
  labels:
    name: dns-operator
    pod-template-hash: 5b9df8545f
spec:
  nodeSelector:
    kubernetes.io/os: linux
    node-role.kubernetes.io/master: ''
  restartPolicy: Always
  serviceAccountName: dns-operator
  priority: 2000000000
  schedulerName: default-scheduler
  enableServiceLinks: true
  terminationGracePeriodSeconds: 2
  preemptionPolicy: PreemptLowerPriority
  nodeName: ip-10-0-136-230.ec2.internal
  securityContext: {}
  containers:
    - resources:
        requests:
          cpu: 10m
          memory: 29Mi
      terminationMessagePath: /dev/termination-log
      name: dns-operator
      command:
        - dns-operator
      env:
        - name: RELEASE_VERSION
          value: 4.11.0-0.nightly-2022-03-04-063157
        - name: IMAGE
          value: >-
            quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:7875b731e4c8c8d6230bb92c2598f9b78357d44712d644515dde3c880e3e44d0
        - name: OPENSHIFT_CLI_IMAGE
          value: >-
            quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:dba568fb5d2a3444b4030ef5aa43083e0078468c250b3cee123c959d97f9cc12
        - name: KUBE_RBAC_PROXY_IMAGE
          value: >-
            quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a9d2e3c8ea59590af8fc690eb56518cd14db00a9a27e8a6532431cc67e14f620
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: kube-api-access-rxp9p
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: FallbackToLogsOnError
      image: >-
        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e3002ea0cbc4c61d3d88b70500908269024a4a8022ef9bed6859ca21d44d7a6b
    - resources:
        requests:
          cpu: 10m
          memory: 40Mi
      terminationMessagePath: /dev/termination-log
      name: kube-rbac-proxy
      ports:
        - name: metrics
          containerPort: 9393
          protocol: TCP
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: metrics-tls
          readOnly: true
          mountPath: /etc/tls/private
        - name: kube-api-access-rxp9p
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: >-
        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a9d2e3c8ea59590af8fc690eb56518cd14db00a9a27e8a6532431cc67e14f620
      args:
        - '--logtostderr'
        - '--secure-listen-address=:9393'
        - >-
          --tls-cipher-suites=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,TLS_RSA_WITH_AES_128_CBC_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256,TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256
        - '--upstream=http://127.0.0.1:60000/'
        - '--tls-cert-file=/etc/tls/private/tls.crt'
        - '--tls-private-key-file=/etc/tls/private/tls.key'
  serviceAccount: dns-operator
  volumes:
    - name: metrics-tls
      secret:
        secretName: metrics-tls
        defaultMode: 420
    - name: kube-api-access-rxp9p
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: Default
  tolerations:
    - key: node-role.kubernetes.io/master
      operator: Exists
      effect: NoSchedule
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 120
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 120
    - key: node.kubernetes.io/memory-pressure
      operator: Exists
      effect: NoSchedule
  priorityClassName: system-cluster-critical
status:
  phase: Running
  conditions:
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2022-03-08T22:13:04Z'
    - type: Ready
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2022-03-08T22:14:19Z'
    - type: ContainersReady
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2022-03-08T22:14:19Z'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2022-03-08T22:13:04Z'
  hostIP: 10.0.136.230
  podIP: 10.130.0.9
  podIPs:
    - ip: 10.130.0.9
  startTime: '2022-03-08T22:13:04Z'
  containerStatuses:
    - restartCount: 0
      started: true
      ready: true
      name: dns-operator
      state:
        running:
          startedAt: '2022-03-08T22:14:17Z'
      imageID: >-
        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e3002ea0cbc4c61d3d88b70500908269024a4a8022ef9bed6859ca21d44d7a6b
      image: >-
        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e3002ea0cbc4c61d3d88b70500908269024a4a8022ef9bed6859ca21d44d7a6b
      lastState: {}
      containerID: 'cri-o://f88e352e17cf7e89384b4905d5056ed21c057515ea395ec43c570f796457761c'
    - restartCount: 0
      started: true
      ready: true
      name: kube-rbac-proxy
      state:
        running:
          startedAt: '2022-03-08T22:14:18Z'
      imageID: >-
        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a9d2e3c8ea59590af8fc690eb56518cd14db00a9a27e8a6532431cc67e14f620
      image: >-
        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a9d2e3c8ea59590af8fc690eb56518cd14db00a9a27e8a6532431cc67e14f620
      lastState: {}
      containerID: 'cri-o://ec80d385c35797b940cc7031f20c4cadccab5f0bf9cc962e4b452e32b1bc92d8'
  qosClass: Burstable
